Subject: Re: [Sip] [sip] handling ACK for 2xx response in proxy??

From: Rockson Zhengyu Li <[email-masked]>
Date: Thu, 12 Jun 2008 23:42:18 -0700 (PDT)

ACK received from upstream at transport layer would be forwarded to 
proxy core directly,
which would action as per sec 16.

sec 18.2.1

    Next, the server transport attempts to match the request to a server
    transaction.  It does so using the matching rules described in
    Section 17.2.3.  If a matching server transaction is found, the
    request is passed to that transaction for processing.  If no match 
is
    found, the request is passed to the core, which may decide to
    construct a new server transaction for that request.  Note that when
    a UAS core sends a 2xx response to INVITE, the server transaction is
    destroyed.  This means that when the ACK arrives, there will be no
    matching server transaction, and based on this rule, the ACK is
    passed to the UAS core, where it is processed.

Regards,
-Rockson

On Mon, Oct 29, 2007 at 12:06 PM, KevinKuei wrote:

> Hello all,
>
> In RFC3261 sec.16, is there anywhere talking about stateful proxy 
> handling ACK??
> Since ACK for 2xx response is not send thru transaction, it should not 
> be
> received by server transaction in proxy. Is that correct?? then.. how 
> proxy
> core got ACK??
>
>
> --
> Kevin Kuei
>
>
> ----------------------------------------------------------------
> This message was sent using IMP, the Internet Messaging Program.
>
> -- 
> This message has been scanned for viruses and
> dangerous content by MailScanner, and is
> believed to be clean.
>
>
>
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip